#    Copyright 2016-2020 Chris Caron <lead2gold@gmail.com>
#
#    This is free software: you can redistribute it and/or modify it under the
#    terms of the GNU General Public License as published by the Free Software
#    Foundation, either version 3 of the License, or (at your option) any later
#    version.
#
#    This file is distributed in the hope that it will be useful, but WITHOUT
#    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
#    more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this file. If not, see http://www.gnu.org/licenses/.
###############################################################################

Packager: Chris Caron <lead2gold@gmail.com>
Summary: A notification service for NZBGet that supports a variety of services
Group: Administration/Resources
Name: nzbget-script-dirwatch
Version: 0.6.0
License: GPLv3
Release: 1%{?dist}
Source:  https://github.com/caronc/nzbget-dirwatch/archive/v%{version}.tar.gz
URL: http://forum.nzbget.net/viewtopic.php?f=8&t=2712
Provides: nzbget-script-dirwatch
BuildArch: noarch

Requires: nzbget
%if 0%{?rhel} && 0%{?rhel} <= 7
Requires: python-nzbget
%else
Requires: python%{python3_pkgversion}-nzbget
%endif

%description
An NZBGet Scheduler script that allows you to identify additional
locations you intend to place NZB-Files in outside of what is already
configured. Basically NZBGet limits you to identifying one directory it
should scan for NZB-Files in. Well this script allows you to change
that one to as many as you want.

How it works is that whatever additional path you specify, the script
will just move the detected NZB-Files out of them and into the directory
NZBGet already processes (identified by NzbDir in the Paths section of
it's configuration).

%prep
%setup -q -n nzbget-dirwatch-%{version}

# Tidy
%if 0%{?rhel} && 0%{?rhel} <= 7
	sed -i -e 's|#!\(/usr\)\?/bin/python[23]\?|#!/usr/bin/python2|g' DirWatch.py
	sed -i -e 's|#!\(/usr\)\?/bin/env python[23]\?|#!/usr/bin/python2|g' DirWatch.py
%else
	sed -i -e 's|#!\(/usr\)\?/bin/python[23]\?|#!/usr/bin/python3|g' DirWatch.py
	sed -i -e 's|#!\(/usr\)\?/bin/env python[23]\?|#!/usr/bin/python3|g' DirWatch.py
%endif

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m 0755 DirWatch.py \
   %{buildroot}%{_datadir}/nzbget/scripts/DirWatch.py

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{_datadir}/nzbget/scripts/DirWatch.py*

%changelog
* Tue Sep  8 2020 Chris Caron <lead2gold@gmail.com> 0.6.0-1
- updated to v0.6.0

* Tue Mar  7 2017 Chris Caron <lead2gold@gmail.com> 0.2.0-1
- Updated to v0.2.0

* Thu Nov 24 2016 Chris Caron <lead2gold@gmail.com> 0.1.0-1
- Updated to v0.1.0

* Wed Nov  9 2016 Chris Caron <lead2gold@gmail.com> 0.0.3-1
- Initial release
